<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingpositions.overview}">Übersicht Weiterbildungsstellen</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form method="post" data-th-action="@{/training/trainingpositions/filter}" data-th-object="${trainingPositionFieldFilter}">
		<fieldset>
			<legend data-th-text="#{trainingpositions.filter}">Weiterbildungsstellen filtern</legend>
			<th:block data-th-replace="fragments/filter::selectWithNull(field='medicalField', options=${medicalFields})" />
			<div></div>
			<span class="todo">TODO: werden derzeit immer mit einbezogen</span>
			<th:block data-th-replace="fragments/filter::checkbox(field='allowSubfields')" />
			<th:block data-th-replace="fragments/filter::selectWithNull(field='authorisedDoctor', options=${authorisedDoctors}, optionName='fullName')" />
			<th:block data-th-replace="fragments/filter::selectWithNull(field='trainingSite', options=${trainingSites})" />
			<th:block data-th-replace="fragments/filter::selectMultipleWithNull(field='regions', options=${regions})" />
			<th:block data-th-replace="fragments/filter::date(field='availableFrom')" />
			<th:block data-th-replace="fragments/filter::date(field='availableUntil')" />
			<th:block data-th-replace="fragments/filter::number(field='minimalCapacity', min=1)" />
			<th:block data-th-replace="fragments/filter::checkbox(field='partTimeAvailable')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<thead>
			<tr>
				<th></th>
				<th data-th-text="#{trainingpositions.trainingsite}">Weiterbildungsstätte</th>
				<th data-th-text="#{trainingpositions.authoriseddoctor}">Weiterbildungsbefugter</th>
				<th data-th-text="#{trainingpositions.medicalfield}">Fachgebiet</th>
				<th data-th-text="#{trainingpositions.treatmenttype}">Behandlungsart</th>
				<th data-th-text="#{trainingpositions.capacity}">Kapazität</th>
				<th data-th-text="#{trainingpositions.parttimeavailable}">Teilzeit möglich</th>
				<th data-th-text="#{trainingpositions.availablefrom}">Verfügbar von</th>
				<th data-th-text="#{trainingpositions.availableuntil}">Verfügbar bis</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="trainingPosition: ${trainingPositionFields}">
				<td><p data-th-replace="fragments/snippets::info('/training/trainingpositions', ${trainingPosition.id})" /></td>
				<td data-th-if="${trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}" data-th-text="${trainingPosition.authorisation.trainingSite.name}">Weiterbildungsstätte</td>
				<td data-th-unless="${trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}"><th:block data-th-text="${trainingPosition.authorisation.trainingSite.clinic.name}" /> (<th:block data-th-text="${trainingPosition.authorisation.trainingSite.name}" />)</td>
				<td data-th-text="${trainingPosition.authorisation.authorisedDoctor.fullName}">Weiterbildungsbefugter</td>
				<td data-th-text="${trainingPosition.authorisation.trainingSite.medicalField.name}">Fachgebiet</td>
				<td data-th-text="#{${trainingPosition.authorisation.trainingSite.treatmentType}}">Behandlungsart</td>
				<td data-th-text="${trainingPosition.capacity}">Kapazität</td>
				<td data-th-text="#{'trainingpositions.parttimeavailable.'+${trainingPosition.partTimeAvailable}}">Vollzeit möglich</td>
				<td data-th-text="${trainingPosition.availableFrom}">Verfügbar von</td>
				<td data-th-text="${trainingPosition.availableUntil}">Verfügbar bis</td>
			</tr>
		</tbody>
		<tfoot>
		</tfoot>
	</table>
	</main>
	<footer></footer>
</body>
</html>